name: build

on: [push]
jobs:
  test-debian:
    runs-on: docker
    container:
      image: rust:latest
    steps:
      - name: prepare packages
        run: |
          apt update && \
          apt -y install git cargo

      - name: checkout
        run: |
          git init
          git remote add origin ${FORGEJO_SERVER_URL}/${FORGEJO_REPOSITORY}
          git fetch origin
          git fetch origin ${FORGEJO_REF}
          git checkout ${FORGEJO_REF_NAME}

      - name: build the package
        run: cargo build
  test-alpine:
    runs-on: docker
    container:
      image: rust:alpine3.23
    steps:
      - name: prepare packages
        run: |
          apk update && \
          apk --interactive=no add git cargo

      - name: checkout
        run: |
          git init
          git remote add origin ${FORGEJO_SERVER_URL}/${FORGEJO_REPOSITORY}
          git fetch origin
          git fetch origin ${FORGEJO_REF}
          git checkout ${FORGEJO_REF_NAME}

      - name: build the package
        run: cargo build

